﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using SimpleDialogDemo.Resources;

namespace SimpleDialogDemo
{
    public partial class MainPage : PhoneApplicationPage
    {
        // 构造函数
        public MainPage()
        {
            InitializeComponent();
        }

        protected override async void OnBackKeyPress(System.ComponentModel.CancelEventArgs e)
        {
            // 首先取消默认 Back 键关闭应用
            e.Cancel = true;

            // 如果 MainPage 页面中，弹出了其它的弹出框，关闭它，
            // 在 DialogIsOpen 属性中实现
            if (MyDialog.DialogIsOpen)
            {
                //可以做其它事情
            }
            else
            {
                if (MessageBoxResult.OK == await MyDialog.Show("确定要退出吗？", "温馨提示：", MessageBoxButton.OKCancel))
                {
                    //  终止当前应用程序。该方法是在 WP8 中加入的，WP7 中木有
                    App.Current.Terminate();
                }
            }

            base.OnBackKeyPress(e);
        }
    }
}